Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1991876 - F35FailsToInstall: gqrx
Summary: F35FailsToInstall: gqrx
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gqrx
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josh Bressers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2002104 2003588 (view as bug list)
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-08-10 10:58 UTC by Miro Hrončok
Modified: 2021-10-29 23:05 UTC (History)
6 users (show)

Fixed In Version: gqrx-2.14.6-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-29 23:05:43 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-10 10:58:37 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (gqrx) Fails To Install in Fedora 35:

can't install gqrx:
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by gqrx-2.14.4-5.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Cotton 2021-08-10 13:38:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Miro Hrončok 2021-08-18 08:41:26 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Miro Hrončok 2021-09-08 21:53:46 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 4 Miro Hrončok 2021-09-13 09:41:52 UTC
*** Bug 2003588 has been marked as a duplicate of this bug. ***

Comment 5 Miro Hrončok 2021-09-17 11:05:00 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 6 Daniel Rusek 2021-09-26 19:02:38 UTC
Same issue on latest F35 Beta:

$ sudo dnf install gqrx
Error: 
 Problem: conflicting requests
  - nothing provides libboost_thread.so.1.75.0()(64bit) needed by gqrx-2.14.4-5.fc35.x86_64

Comment 7 Daniel Rusek 2021-09-26 19:10:36 UTC
As a temporary workaround, the latest F36 build, manually installed from Koji, works fine: https://koji.fedoraproject.org/koji/buildinfo?buildID=1817091

Comment 8 Przemek Klosowski 2021-09-27 21:27:59 UTC
*** Bug 2002104 has been marked as a duplicate of this bug. ***

Comment 9 Miro Hrončok 2021-10-12 14:02:17 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/gqrx by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 10 Daniel Rusek 2021-10-12 14:28:05 UTC
"Orphaned for: Important bug not fixed -- https://bugzilla.redhat.com/1991876"

This bug is already fixed in Rawhide, only the F35 build is remaining. Adding Jaroslav Škarvada to CC since he used to maintain the Gqrx package for a long time.

Comment 11 Daniel Rusek 2021-10-12 16:52:35 UTC
Jaroslav, would you be interested in maintaining this package? Josh seems to be inactive.

The Rawhide build works without any issue when installed manually on current Fedora 35 Beta, so the fix for F35 would be easy (just make a F35 build using latest main branch build).

Comment 12 Jaroslav Škarvada 2021-10-13 09:02:03 UTC
(In reply to Daniel Rusek from comment #11)
> Jaroslav, would you be interested in maintaining this package? Josh seems to
> be inactive.
> 
> The Rawhide build works without any issue when installed manually on current
> Fedora 35 Beta, so the fix for F35 would be easy (just make a F35 build
> using latest main branch build).

I took it, thanks for info.

Yep, it seems just rebuild will cure it.

Comment 13 Fedora Update System 2021-10-13 09:53:17 UTC
FEDORA-2021-318faefbab has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-318faefbab

Comment 14 Fedora Update System 2021-10-13 18:52:59 UTC
FEDORA-2021-318faefbab has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-318faefbab`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-318faefbab

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-10-14 18:55:01 UTC
FEDORA-2021-f519b84696 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f519b84696`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f519b84696

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Josh Bressers 2021-10-15 01:41:43 UTC
Thanks for picking this up, I truly appreciate it. I'm glad this package is in capable hands!

Comment 17 Harish Pillay 2021-10-23 05:48:43 UTC
(In reply to Fedora Update System from comment #15)
> FEDORA-2021-f519b84696 has been pushed to the Fedora 35 testing repository.
> Soon you'll be able to install the update with the following command:
> `sudo dnf upgrade --enablerepo=updates-testing
> --advisory=FEDORA-2021-f519b84696`
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2021-f519b84696
> 
> See also https://fedoraproject.org/wiki/QA:Updates_Testing for more
> information on how to test updates.

I just tried this and it is not installing on my F35 system.

[root@gillman ~]# dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f519b84696
Last metadata expiration check: 0:53:24 ago on Sat 23 Oct 2021 12:50:41 PM.
Dependencies resolved.
Nothing to do.
Complete!
[root@gillman ~]# 

Harish

Comment 18 Harish Pillay 2021-10-23 05:52:34 UTC
(In reply to Harish Pillay from comment #17)
> (In reply to Fedora Update System from comment #15)
> > FEDORA-2021-f519b84696 has been pushed to the Fedora 35 testing repository.
> > Soon you'll be able to install the update with the following command:
> > `sudo dnf upgrade --enablerepo=updates-testing
> > --advisory=FEDORA-2021-f519b84696`
> > You can provide feedback for this update here:
> > https://bodhi.fedoraproject.org/updates/FEDORA-2021-f519b84696
> > 
> > See also https://fedoraproject.org/wiki/QA:Updates_Testing for more
> > information on how to test updates.
> 
> I just tried this and it is not installing on my F35 system.
> 
> [root@gillman ~]# dnf upgrade --enablerepo=updates-testing
> --advisory=FEDORA-2021-f519b84696
> Last metadata expiration check: 0:53:24 ago on Sat 23 Oct 2021 12:50:41 PM.
> Dependencies resolved.
> Nothing to do.
> Complete!
> [root@gillman ~]# 
> 
> Harish

but "dnf install https://kojipkgs.fedoraproject.org//packages/gqrx/2.14.6/1.fc35/x86_64/gqrx-2.14.6-1.fc35.x86_64.rpm" worked.

Harish

Comment 19 Fedora Update System 2021-10-29 23:05:43 UTC
FEDORA-2021-f519b84696 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.